Gtk2::Gdk::Event::Client(3p)

NAME
Gtk2::Gdk::Event::Client

HIERARCHY
  Gtk2::Gdk::Event
  +----Gtk2::Gdk::Event::Client

METHODS

    * ... (list)

    Depending on the value of data_format, data takes one of three different kinds of values:

      +-------------------+-----------------------+
      |    data_format    |         data          |
      +-------------------+-----------------------+
      | Gtk2::Gdk::CHARS  | a string of length 20 |
      | Gtk2::Gdk::SHORTS | a list of ten shorts  |
      | Gtk2::Gdk::LONGS  | a list of five longs  |
      +-------------------+-----------------------+

    * $newvalue (unsigned)

    This should be set to either $Gtk2::Gdk::CHARS, $Gtk2::Gdk::SHORTS, or $Gtk2::Gdk::LONGS. See data for a full explanation.

    * $newvalue (Gtk2::Gdk::Atom)

SEE ALSO
Gtk2

COPYRIGHT
Copyright (C) 2003-2007 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.